Subject: Re: bug#47236: 28.0.50; ebdb-mua-pop-up bad interaction with gnus window configurations

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 29 Jun 2021 16:28:24 -0700

Robert Pluim <[email-masked]> writes:

>>>>>> On Mon, 28 Jun 2021 09:20:05 -0700, Eric Abrahamsen <[email-masked]> said:
>     >> (when ebdb-message-window-configuration
>     >> (add-to-list 'gnus-window-to-buffer
>     >> (cons ebdb-message-window-configuration
>     >> (ebdb-message-buffer-name))))

[...]

>     Eric> I'm not sure that's necessary -- it's a bit weird to have the wrong name
>     Eric> in there if you're using mail-mode, but it would only cause trouble if a
>     Eric> user was using _both_ message-mode and mail-mode, and wanted separate
>     Eric> *EBDB* buffers for each. I think this can safely do double duty.
>
> One thing Iʼve learned is that saying "there are no Emacs users who
> use <foo> and <bar> at the same time" is almost certain to trip you
> up. But not in this case. Probably.

That rule does go double for Gnus users, though.... 

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Date: Tue, 29 Jun 2021 09:44:58 +0200
>> Cc: [email-masked]
>> 
>> Idle thought: maybe we should just remove mail-mode and add some
>> compatibility code pointing at message.
>
> Please don't.  I'm a heavy user of mail-mode, and I hate message-mode
> (because everything there is slightly off-course from my POV).

I'm unlikely to go and do this!

Anyhow, I think this report can be closed now.